
<?php
 
 include_once('conexao.php');
 include_once('DAO/DAOcarrossel.php');
 $Daocarrossel  = new Daocarrossel();	
	
	$result =  $Daocarrossel->Listarcarrossel();
		
		foreach($result as $row){
			
		  if(!empty($row["car_imagem"])){
				$imagem1="uploads/carrossel/".$row["car_imagem"];
				
			}else{
				$imagem1="images/produto_sem_imagem.gif";
				
			}
			
			$json[] = array(
				$row["car_id"],
				$row["car_titulo"], 
				'<a href="#" onClick="ampliaimagem('."'".$row["car_imagem"]."'".')" title="Clique aqui para ampliar" data-toggle="modal" data-target="#myModalImagem" ><img src="'.$imagem1.'" width="70" height="60" style="border-radius: 1%;" /></a>',
				
				$row["car_situacao"], 
				
		
				date("d/m/Y H:i", strtotime($row["car_dt_cadastro"])),
				 

				'<a href="view-carrossel.php?acao=editar&car_id='.$row["car_id"].'" data-toggle="tooltip" title="Editar">
				<button type="button" class="btn btn-info btn-sm"><span class="ft-edit-2" aria-hidden="true"></span></button>
				</a>
			 
				<a href="javascript:void(0)" onclick="deletar_registro('."'".$row["car_id"]."'".','."'".$row["car_titulo"]."'".','."'".$row["car_imagem"]."'".')" data-toggle="tooltip" title="Excluir" > 
				<button type="button" class="btn btn-danger btn-sm"><span class="ft-trash-2" aria-hidden="true"></span></button>
				</a>'
			);
		}
		$response = array();

		$response['aaData'] = $json;
		echo json_encode($response);

     
?>


                                   


